## OsmGpsMapPoint OsmGpsMapPoint — A geographic location (latitude, longitude) |

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    #include <osm-gps-map.h>

                        OsmGpsMapPoint;
    void                osm_gps_map_point_get_degrees       (OsmGpsMapPoint *point,
                                                             float *lat,
                                                             float *lon);
    void                osm_gps_map_point_get_radians       (OsmGpsMapPoint *point,
                                                             float *rlat,
                                                             float *rlon);
    OsmGpsMapPoint *    osm_gps_map_point_new_degrees       (float lat,
                                                             float lon);
    OsmGpsMapPoint *    osm_gps_map_point_new_radians       (float rlat,
                                                             float rlon);
    void                osm_gps_map_point_set_degrees       (OsmGpsMapPoint *point,
                                                             float lat,
                                                             float lon);
    void                osm_gps_map_point_set_radians       (OsmGpsMapPoint *point,
                                                             float rlat,
                                                             float rlon);
    OsmGpsMapPoint *    osm_gps_map_point_copy              (const OsmGpsMapPoint *point);
    void                osm_gps_map_point_free              (OsmGpsMapPoint *point);

## Description

OsmGpsMapPoint describes a geographic location (latitude, longitude). Helper functions exist to create such a point from either radian co-ordinates (`osm_gps_map_point_new_radians()`) or degrees (`osm_gps_map_new_degrees()`).

## Details

### OsmGpsMapPoint

    typedef struct {
        /* radians */
        float  rlat;
        float  rlon;
    } OsmGpsMapPoint;

### osm_gps_map_point_get_degrees ()

    void                osm_gps_map_point_get_degrees       (OsmGpsMapPoint *point,
                                                             float *lat,
                                                             float *lon);

`point` : |
`lat` : |
`lon` : |

### osm_gps_map_point_get_radians ()

    void                osm_gps_map_point_get_radians       (OsmGpsMapPoint *point,
                                                             float *rlat,
                                                             float *rlon);

`point` : |
`rlat` : |
`rlon` : |

### osm_gps_map_point_new_degrees ()

    OsmGpsMapPoint *    osm_gps_map_point_new_degrees       (float lat,
                                                             float lon);

`lat` : |
`lon` : |
Returns : |

### osm_gps_map_point_new_radians ()

    OsmGpsMapPoint *    osm_gps_map_point_new_radians       (float rlat,
                                                             float rlon);

`rlat` : |
`rlon` : |
Returns : |

### osm_gps_map_point_set_degrees ()

    void                osm_gps_map_point_set_degrees       (OsmGpsMapPoint *point,
                                                             float lat,
                                                             float lon);

`point` : |
`lat` : |
`lon` : |

### osm_gps_map_point_set_radians ()

    void                osm_gps_map_point_set_radians       (OsmGpsMapPoint *point,
                                                             float rlat,
                                                             float rlon);

`point` : |
`rlat` : |
`rlon` : |

### osm_gps_map_point_copy ()

    OsmGpsMapPoint *    osm_gps_map_point_copy              (const OsmGpsMapPoint *point);

`point` : |
Returns : |

Since 0.7.2

### osm_gps_map_point_free ()

    void                osm_gps_map_point_free              (OsmGpsMapPoint *point);

`point` : |

Since 0.7.2